/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.service.impl;

import org.springblade.bigdata.entity.Visual;
import org.springblade.bigdata.mapper.VisualMapper;
import org.springblade.bigdata.service.IVisualService;
import org.springblade.bigdata.vo.VisualVO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 报表模板 服务实现类
 *
 * @author BladeX
 * @since 2021-07-02
 */
@Service
public class VisualServiceImpl extends ServiceImpl<VisualMapper, Visual> implements IVisualService {

	@Override
	public IPage<VisualVO> selectVisualPage(IPage<VisualVO> page, VisualVO visual) {
		return page.setRecords(baseMapper.selectVisualPage(page, visual));
	}
}
