/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.bigdata.wrapper;

import java.util.Objects;

import org.springblade.bigdata.entity.Visual;
import org.springblade.bigdata.vo.VisualVO;
import org.springblade.core.mp.support.BaseEntityWrapper;

import cn.hutool.core.bean.BeanUtil;

/**
 * 报表模板包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2021-04-15
 */
public class VisualWrapper extends BaseEntityWrapper<Visual, VisualVO>  {

	public static VisualWrapper build() {
		return new VisualWrapper();
 	}

	@Override
	public VisualVO entityVO(Visual visual) {
		VisualVO visualVO = Objects.requireNonNull(BeanUtil.copyProperties(visual, VisualVO.class));

		//User createUser = UserCache.getUser(visual.getCreateUser());
		//User updateUser = UserCache.getUser(visual.getUpdateUser());
		//visualVO.setCreateUserName(createUser.getName());
		//visualVO.setUpdateUserName(updateUser.getName());

		return visualVO;
	}

}
