/**
 * 
 */
package org.springblade.config;

import java.util.Arrays;

import org.springblade.datasource.support.BladexDataSourceProvider;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.baomidou.dynamic.datasource.creator.DataSourceProperty;
import com.baomidou.dynamic.datasource.creator.DefaultDataSourceCreator;
import com.baomidou.dynamic.datasource.creator.druid.DruidDataSourceCreator;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceProperties;

/**
 * @author wookvn
 *
 */
@Configuration
public class GemtryBiConfig {

	/**
	 * 初始化动态数据源
	 * @return
	 */
	@Bean
	public BladexDataSourceProvider bdsProvider(DefaultDataSourceCreator defaultDataSourceCreator, DynamicDataSourceProperties dynamicDataSourceProperties) {
		DataSourceProperty master = dynamicDataSourceProperties.getDatasource().get(dynamicDataSourceProperties.getPrimary());
		return new BladexDataSourceProvider(
			defaultDataSourceCreator,
			dynamicDataSourceProperties,
			master.getUrl(),
			master.getUsername(),
			master.getPassword());
	}
	
	/**
	 * 动态数据源创建类
	 * @param dataSourceCreator
	 * @return
	 */
	@Bean
	public DefaultDataSourceCreator defaultDataSourceCreator(DruidDataSourceCreator dataSourceCreator) {
		DefaultDataSourceCreator defaultDataSourceCreator = new DefaultDataSourceCreator();
		defaultDataSourceCreator.setCreators(Arrays.asList(dataSourceCreator));
		return defaultDataSourceCreator;
	}
}
