/**
 * 
 */
package org.springblade.config;

import org.springblade.core.config.SwaggerConfiguration;
import org.springblade.core.constant.AppConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

/**
 * @author wookvn
 *
 */
@Configuration
@EnableSwagger2WebMvc
public class SwaggerConfig extends SwaggerConfiguration {

	@Bean
	public Docket cubeDocket() {
		return docket("数据集模块", AppConstant.BASE_PACKAGES + ".cube");
	}
	
	@Bean
	public Docket visualDocket() {
		return docket("新版大屏模块", AppConstant.BASE_PACKAGES + ".visual");
	}
	
	@Bean
	public Docket bigdataDocket() {
		return docket("旧版大屏模块", AppConstant.BASE_PACKAGES + ".bigdata");
	}
	
	@Bean
	public Docket microAppDocket() {
		return docket("微应用模块", AppConstant.BASE_PACKAGES + ".microapp");
	}
	
	@Bean
	public Docket reportDocket() {
		return docket("数据源和API接口", AppConstant.BASE_PACKAGES + ".report");
	}

	@Bean
	public Docket userGroupDocket() {
		return docket("自定义人群模块", AppConstant.BASE_PACKAGES + ".usergroup");
	}
	
	@Bean
	public Docket subscribeDocket() {
		return docket("订阅服务模块", AppConstant.BASE_PACKAGES + ".subscribe");
	}
}
