/**
 * 
 */
package org.springblade.cube.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.cube.model.CubeData;
import org.springblade.cube.model.CubeTableColumn;
import org.springblade.cube.utils.CubeConstants;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("数据集请求结构体")
public class CubeDataParam implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty("数据集ID")
	private Integer cubeDataId;
	
	@ApiModelProperty("数据源ID")
	private Integer datasourceId;
	
	@ApiModelProperty("限制查询数量")
	private int limit = CubeConstants.DEFAULT_PREVIEW_DATA_SIZE;
	
	@ApiModelProperty("数据集结构")
	private CubeData cubeData;
	
	@ApiModelProperty("数据集字段列表")
	private List<CubeTableColumn> columnList;
	
	@ApiModelProperty("排序列表")
	private List<OrderByParam> orderByList;
	
	@ApiModelProperty(value = "权限组ID列表")
	private List<Integer> dataPermIdList;

	@ApiModelProperty("新的数据源ID")
	private Integer copyDatasourceId;
}
