/**
 *
 */
package org.springblade.cube.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @author wookvn
 */
@Data
@ApiModel("临时数据集请求结构体")
public class TemporaryCubeDataParam implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;


    /**
     * 数据源ID
     */
    @ApiModelProperty("数据源ID")
    private Integer datasourceId;


    /**
     * 表
     */
    @ApiModelProperty("表list")
    private List<Table> tableList;

    @Data
    public static class Table {
        /**
         * 表注释
         */
        private String tableComment;

        /**
         * 数据体
         */
        private List<Column> columnList;
    }

    @Data
    public static class Column {
        private String name;
        private ViewColumnTypeEnum type;
        private String comment;
    }

}
