/**
 * 
 */
package org.springblade.cube.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.cube.dto.CubeDataPermRelation;
import org.springblade.cube.model.CubeDataPermission;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface CubeDataPermissionMapper extends BaseMapper<CubeDataPermission> {

	@Select({
		"select distinct a.cube_data_id, a.filter_sql, a.data_perm_id, a.exclude_column_ids ", 
		"from cube_data_permission a inner join data_permission_user b on a.data_perm_id = b.data_perm_id", 
		"where a.cube_data_id = #{cubeDataId} and b.user_id = #{userId}"
	})
	public List<CubeDataPermission> selectListByCubeDataIdAndUserId(@Param("cubeDataId")Integer cubeDataId, @Param("userId")Long userId);
	
	@Select({
		"select a.* from cube_data_permission a",
		"inner join cube_data b on a.cube_data_id = b.id",
		"where b.workspace_id = #{cubeWorkspaceId} and a.data_perm_id = #{dataPermId}"
	})
	public List<CubeDataPermission> selectListByDataPermIdAndWorkspaceId(@Param("dataPermId")Integer dataPermId, @Param("cubeWorkspaceId")Integer cubeWorkspaceId);

	@Select({
		"<script>",
		"select a.cube_data_id, b.id as data_perm_id, b.perm_name as data_perm_name",
		"from cube_data_permission a inner join data_permission b on a.data_perm_id = b.id",
		"where a.cube_data_id in",
		"<foreach collection='cubeIdList' item='item' open='(' separator=',' close=')'>",
		"#{item}",
		"</foreach>",
		"</script>"})
	public List<CubeDataPermRelation> selectListByCubeIdList(@Param("cubeIdList")List<Integer> cubeIdList);
}