/**
 * 
 */
package org.springblade.cube.mapper;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.mapping.StatementType;
import org.springblade.datasource.model.LongReference;

import java.util.List;
import java.util.Map;

/**
 * @author wookvn
 *
 */
@InterceptorIgnore(tenantLine = "true")
public interface DynamicTableMapper {

	@Insert("<script><![CDATA[ insert into ${tableName}(${columnSql}) values (${valueSql}) ]]></script>")
	@Options(useGeneratedKeys = true, keyProperty = "pltParam.pkValue")
	public int save(@Param("tableName") String tableName, @Param("columnSql") String columnSql, @Param("valueSql") String valueSql, @Param("pltParam") Map<String, Object> params);

	@Insert("<script>insert into ${tableName}(${columnSql}) values <foreach collection='list' item='pltParam' separator=','>(${valueSql})</foreach></script>")
	@Options(useGeneratedKeys = true, keyProperty = "list.pkValue")
	public int saveBatch(@Param("tableName") String tableName, @Param("columnSql") String columnSql, @Param("valueSql") String valueSql, @Param("list") List<Map<String, Object>> params);

	/**
	 * 执行SQL
	 * @param sql
	 * @return
	 */
	@Update("${value}")
	@Options(statementType = StatementType.STATEMENT)
	public int executeSql(String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public List<Map<String, Object>> selectList(@Param("sql") String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public List<Map<String, Object>> selectPageList(IPage<?> page, @Param("sql") String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public IPage<Map<String, Object>> selectPage(IPage<?> page, @Param("sql") String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	public Map<String, Object> selectOne(@Param("sql") String sql);
	
	@Insert("<script><![CDATA[ ${sql} ]]></script>")
	@Options(useGeneratedKeys = true, keyColumn="${idColumn}", keyProperty = "out.value", statementType = StatementType.STATEMENT)
	public void insertReturnIdValue(@Param("sql") String sql, @Param("idColumn")String idColumn, @Param("out")LongReference out);
	
/** ------------------------------------------------------------------------- **/	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	@Deprecated
	public List<JSONObject> selectListForJSONObject(@Param("sql") String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	@Deprecated
	public IPage<JSONObject> selectPageForJSONObject(IPage<?> page, @Param("sql") String sql);
	
	@Select("<script><![CDATA[ ${sql} ]]></script>")
	@Deprecated
	public JSONObject selectOneForJSONObject(@Param("sql") String sql);
}
