/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.util.Date;

import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;
import org.springblade.cube.enums.FunctionAttrEnum;
import org.springblade.cube.enums.FunctionTypeEnum;
import org.springblade.datasource.enums.DsTypeEnum;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("数据源函数库")
@TableName("cube_datasource_function")
public class CubeDatasouceFunction extends TenantAppEntity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer funcId;
	
	@ApiModelProperty("函数名")
	private String name;
	
	@ApiModelProperty("函数方法")
	private String method;
	
	@ApiModelProperty("数据源类型")
	private DsTypeEnum dsType;
	
	@ApiModelProperty("函数描述")
	private String description;
	
	@ApiModelProperty("函数示例")
	private String example;
	
	@ApiModelProperty("添加时间")
	private Date createTime;
	
	@ApiModelProperty("排序号")
	private Integer sortNum;
	
	@ApiModelProperty("函数属性")
	private FunctionAttrEnum funcAttr;
	
	@ApiModelProperty("函数类型")
	private FunctionTypeEnum funcType;
	
	@ApiModelProperty("自定义函数sql片段")
	private String funcSql;
	
	@ApiModelProperty("函数名称")
	private String methodName;
	
	@ApiModelProperty("是否包含子查询(1-是/0-否)")
	private Integer subQueryStatus;
}
