/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.validation.constraints.NotEmpty;

import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;
import org.springblade.cube.enums.ParamColumnTypeEnum;
import org.springblade.cube.enums.ParamTypeEnum;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class CubeGlobalParam extends TenantAppEntity implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "主键")
	private Integer id;
	
	@ApiModelProperty(value = "分类ID")
	private Integer typeId;
	
	@TableField(condition = SqlCondition.LIKE)
	@ApiModelProperty(value = "参数名称")
	@NotEmpty(message = "参数名称不能为空")
	private String paramName;
	
	@ApiModelProperty(value = "参数字段名")
	@NotEmpty(message = "参数字段名不能为空")
	private String paramKey;
	
	@ApiModelProperty(value = "参数对应字段类型")
	private ParamColumnTypeEnum paramColumnType;
	
	@ApiModelProperty(value = "参数类型[系统变量不可删除]")
	private ParamTypeEnum paramType;
	
	@ApiModelProperty(value = "默认值")
	private String defaultValue;
	
	@ApiModelProperty(value = "备注说明")
	private String remark;
	
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;
	
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;
	
	@ApiModelProperty(value = "创建人姓名	")
	private String createBy;

}
