/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("数据集_SQL视图结构")
@TableName("cube_sql_view")
public class CubeSqlView extends TenantAppEntity implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("SQL名称")
	private String sqlName;
	
	@ApiModelProperty("数据源ID")
	private Integer datasourceId;
	
	@ApiModelProperty("视图名【默认是V_SQL_202201021010】")
	private String viewName;
	
	@ApiModelProperty("SQL语句")
	private String sqlStatement;
	
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("创建人ID")
	private Long createUserId;
	
	@ApiModelProperty("创建时间")
	private Date createTime;
}
