/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;
import java.util.Date;

import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("文件表")
@TableName("cube_table_file")
public class CubeTableFile extends TenantAppEntity {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("文件名")
	private String fileName;
	
	@ApiModelProperty("数据源ID")
	private Integer datasourceId;
	
	@ApiModelProperty("表名")
	private String tableName;
	
	@ApiModelProperty("表注释")
	private String tableComment;
	
	@ApiModelProperty("文件大小")
	private Long fileSize;
	
	@ApiModelProperty("文件地址")
	private String fileUri;
	
	@ApiModelProperty("创建人")
	private String createBy;
	
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("创建人ID")
	private Long createUserId;
	
	private Date createTime;
}
