/**
 * 
 */
package org.springblade.cube.model;

import java.io.Serializable;

import org.springblade.datasource.enums.DetailColumnTypeEnum;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ApiModel("文件结构体Model")
public class FileStructure implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("字段名")
	private String columnName;
	
	@ApiModelProperty("字段类型")
	private ViewColumnTypeEnum columnType;

	@ApiModelProperty(value = "字段归类细化类型")
	private DetailColumnTypeEnum detailColumnType;
	
	@ApiModelProperty("注释")
	private String comment;
	
	@ApiModelProperty("Excel列索引")
	private int columnIndex;
	
	@ApiModelProperty("是否主键")
	private boolean primaryKey;

	@ApiModelProperty(value = "字段长度(对于 NUMBER 类型，字段精度)")
	private Integer columnSize;

	@ApiModelProperty(value = "小数点后的位数")
	private Integer decimalDigits;

	private String systemColumnName;
	private String pinyinAllColumnName;
	private String pinyinFirstLetterColumnName;

	/**
	 * @param columnName
	 * @param columnType
	 * @param comment
	 * @param columnIndex
	 */
	public FileStructure(String columnName, ViewColumnTypeEnum columnType, String comment, int columnIndex) {
		super();
		this.columnName = columnName;
		this.columnType = columnType;
		this.comment = comment;
		this.columnIndex = columnIndex;
	}
	
	public FileStructure(String columnName, ViewColumnTypeEnum columnType, String comment, boolean primaryKey) {
		super();
		this.columnName = columnName;
		this.columnType = columnType;
		this.comment = comment;
		this.primaryKey = primaryKey;
	}
	public FileStructure(String columnName, ViewColumnTypeEnum columnType,DetailColumnTypeEnum detailColumnType, String comment, boolean primaryKey) {
		super();
		this.columnName = columnName;
		this.columnType = columnType;
		this.detailColumnType = detailColumnType;
		this.comment = comment;
		this.primaryKey = primaryKey;
	}

	/**
	 * 
	 */
	public FileStructure() {
		super();
	}
}
