/**
 * 
 */
package org.springblade.cube.service;

import cn.hutool.core.collection.CollectionUtil;
import org.springblade.core.secure.BladeUser;
import org.springblade.cube.mapper.CubeGlobalParamMapper;
import org.springblade.cube.model.CubeGlobalParam;
import org.springblade.cube.utils.CubeConstants;
import org.springblade.datasource.enums.DateFormatEnum;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author wookvn
 *
 */
@Service
public class CubeGlobalParamService extends ServiceImpl<CubeGlobalParamMapper, CubeGlobalParam> {

    /**
     * 获取系统默认全局变量
     */
    public Map<String, Object> getSysParams(DateFormatEnum dateFormat, BladeUser bladeUser) {

        Map<String, List<Object>> stringListMap = CubeConstants.mergeAllSysParams(bladeUser,dateFormat, new HashMap<>());
        Map<String,Object> result = new HashMap<>();
        if (CollectionUtil.isNotEmpty(stringListMap)) {
            for (Map.Entry<String, List<Object>> entry : stringListMap.entrySet()) {
                result.put(entry.getKey(),entry.getValue().get(0));
            }
        }

        return result;
    }
}
