/**
 * 
 */
package org.springblade.cube.service;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.tool.exception.ServiceException;
import org.springblade.cube.mapper.CubeWorkspaceMapper;
import org.springblade.cube.model.CubeWorkspace;
import org.springblade.cube.utils.CubeConstants;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.Date;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Service
public class CubeWorkspaceService extends ServiceImpl<CubeWorkspaceMapper, CubeWorkspace> {

    public List<CubeWorkspace> getByTenantId(String tenantId) {
        return baseMapper.getByTenantId(tenantId);
    }

    /**
     * 获取表单的数据集分类ID - 说明：为了兼容老版本，此处会有添加操作
     * @param isMerge - 是否表单的聚合数据集
     * @return
     */
    public Integer getIdOfModel(boolean isMerge){
        String wsName = isMerge ? CubeConstants.MODEL_MERGE_CUBE_WORKSPACE_NAME : CubeConstants.MODEL_SINGLE_CUBE_WORKSPACE_NAME;
        List<CubeWorkspace> cubeWorkspaceList = baseMapper.selectList(Wrappers.<CubeWorkspace>lambdaQuery().eq(CubeWorkspace::getSystemStatus, 1).eq(CubeWorkspace::getWsName, wsName));
        if(cubeWorkspaceList == null || cubeWorkspaceList.isEmpty()) {
            CubeWorkspace workspace = new CubeWorkspace();
            workspace.setSortNum(998);
            workspace.setWsName(wsName);
            workspace.setCreateBy("系统创建");
            workspace.setCreateTime(new Date());
            workspace.setParentId(0);
            workspace.setCreateUserId(0L);
            workspace.setSystemStatus(1);
            boolean ret = save(workspace);
            if(!ret) {
                throw new ServiceException("系统创建表单数据集分类失败～");
            }
            return workspace.getId();
        }else {
            return cubeWorkspaceList.get(0).getId();
        }
    }
}
