package org.springblade.datasource;

import lombok.AllArgsConstructor;
import org.springblade.datasource.context.DialectContext;
import org.springblade.datasource.model.TableViewDto;
import org.springblade.report.entity.ReportDatasource;
import org.springblade.report.service.IReportDatasourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据源操作类型
 */
@Component
@AllArgsConstructor
public class DsHandler {

    private final DialectContext dialectContext;

    /**
     * 数据源复制
     * @param oldDsList
     * @return
     */
    public List<ReportDatasource> copy(List<ReportDatasource> oldDsList) {
        List<ReportDatasource> dataList = new ArrayList<>();
        for (ReportDatasource reportDatasource : oldDsList) {
            ReportDatasource newDs = dialectContext.getDialect(reportDatasource.getDsTypeSyl()).copy(reportDatasource);
            if(newDs != null) {
                dataList.add(newDs);
            }
        }
        return dataList;
    }
    public ReportDatasource tableCopy(ReportDatasource reportDatasource, List<TableViewDto> tableViewList) {
        return dialectContext.getDialect(reportDatasource.getDsTypeSyl()).tableCopy(reportDatasource,tableViewList);
    }
}
