package org.springblade.datasource.util;

import java.security.SecureRandom;
import java.util.Random;

public class NonNumericStringGenerator {
    private static final String CHAR_SET = "abcdefghijklmnopqrstuvwxyz";
    private static final Random RANDOM = new SecureRandom();
    public static String generate(int length) {
        if (length < 1) {
            throw new IllegalArgumentException("Length must be a positive integer.");
        }
        StringBuilder sb = new StringBuilder(length);
        for (int i = 0; i < length; i++) {
            int randomIndex = RANDOM.nextInt(CHAR_SET.length());
            char randomChar = CHAR_SET.charAt(randomIndex);
            sb.append(randomChar);
        }
        return sb.toString();
    }

}
