/**
 * 
 */
package org.springblade.microapp.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *	
 *	微应用
 */
@Data
@TableName("micro_app")
public class MicroApp implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer appId;
	
	@ApiModelProperty("app名称")
	@TableField(condition = SqlCondition.LIKE)
	private String appName;
	
	@ApiModelProperty("app图标")
	private String appIcon;
	
	@ApiModelProperty("app描述")
	private String appDescription;
	
	@ApiModelProperty("公共状态(0-私有/1-公开/2-权限组设置)")
	private Integer publicStatus;
	
	@ApiModelProperty("发布状态(0-未发布/1-已发布)")
	private Integer publishStatus;
	
	@ApiModelProperty("菜单展现形式")
	private String menuShowType;
	
	@ApiModelProperty("扩展字段")
	private String extJson;
	
	@ApiModelProperty("水印文字")
	private String waterMarkText;
	
	@ApiModelProperty("是否展示水印(0-否/1-是)")
	private Integer waterMarkStatus;
	
	@ApiModelProperty("排序号(数值越大越靠前)")
	private Integer sortNum;
	
	@ApiModelProperty("创建人ID[增/改不需要传递]")
	private Long createUserId;
	
	@ApiModelProperty("创建时间[增/改不需要传递]")
	private Date createTime;
	
	@ApiModelProperty(value = "权限组ID列表[增加数据时，当publicStatus=2传递]")
	@TableField(exist = false)
	private List<Integer> dataPermIdList;

	@ApiModelProperty(value = "租户id")
	private String tenantId;
}
