///*
// *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
// *
// *  Redistribution and use in source and binary forms, with or without
// *  modification, are permitted provided that the following conditions are met:
// *
// *  Redistributions of source code must retain the above copyright notice,
// *  this list of conditions and the following disclaimer.
// *  Redistributions in binary form must reproduce the above copyright
// *  notice, this list of conditions and the following disclaimer in the
// *  documentation and/or other materials provided with the distribution.
// *  Neither the name of the dreamlu.net developer nor the names of its
// *  contributors may be used to endorse or promote products derived from
// *  this software without specific prior written permission.
// *  Author: Chill 庄骞 (smallchill@163.com)
// */
//package org.springblade.report.controller;
//
//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.baomidou.mybatisplus.core.metadata.IPage;
//import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiParam;
//import lombok.AllArgsConstructor;
//import org.springblade.bigdata.dto.VisualDataDTO;
//import org.springblade.bigdata.entity.Visual;
//import org.springblade.bigdata.entity.VisualConfig;
//import org.springblade.bigdata.service.IVisualConfigService;
//import org.springblade.bigdata.service.IVisualService;
//import org.springblade.bigdata.vo.VisualDetailVO;
//import org.springblade.core.boot.ctrl.BladeController;
//import org.springblade.core.mp.support.Condition;
//import org.springblade.core.mp.support.Query;
//import org.springblade.core.tool.api.R;
//import org.springblade.core.tool.utils.Func;
//import org.springblade.report.dto.request.CreateHistoryReportInfoData;
//import org.springblade.report.dto.request.UpdateHistoryReportVisualBackgroundUrl;
//import org.springblade.report.dto.response.HistoryReportInfoData;
//import org.springblade.report.entity.HistoryReportFolder;
//import org.springblade.report.entity.HistoryReportInfo;
//import org.springblade.report.service.IHistoryReportFolderService;
//import org.springblade.report.service.IHistoryReportInfoService;
//import org.springblade.report.vo.HistoryReportInfoVO;
//import org.springframework.beans.BeanUtils;
//import org.springframework.web.bind.annotation.*;
//
//import javax.validation.Valid;
//import java.time.LocalDateTime;
//import java.util.ArrayList;
//import java.util.List;
//
///**
// * 历史报告 控制器
// *
// * @author BladeX
// * @since 2021-07-02
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("/historyreportinfo")
//@Api(value = "历史报告", tags = "历史报告接口")
//public class HistoryReportInfoController extends BladeController {
//
//	private final IHistoryReportInfoService historyReportInfoService;
//	private final IHistoryReportFolderService historyReportFolderService;
//	private final IVisualService visualService;
//	private final IVisualConfigService visualConfigService;
//
//	/**
//	 * 详情
//	 */
//	@GetMapping("/detail")
//	@ApiOperationSupport(order = 1)
//	@ApiOperation(value = "获取报告详情 detail", notes = "传入historyReportInfo")
//	public R<HistoryReportInfoData> detail(HistoryReportInfo historyReportInfo) {
//		HistoryReportInfo detail = historyReportInfoService.getOne(Condition.getQueryWrapper(historyReportInfo));
//		HistoryReportInfoData historyReportInfoData = new HistoryReportInfoData();
//		BeanUtils.copyProperties(detail, historyReportInfoData);
//		QueryWrapper queryWrapper = new QueryWrapper();
//		queryWrapper.eq("history_report_id", detail.getId());
//		List<Visual> visualList = visualService.list(queryWrapper);
//		List<VisualDetailVO> detailVOList = new ArrayList<>();
//		if (null != visualList && visualList.size() > 0) {
//			visualList.forEach(visual -> {
//				VisualDetailVO detailVO = new VisualDetailVO();
//				detailVO.setVisual(visual);
//				QueryWrapper configWrapper = new QueryWrapper();
//				configWrapper.eq("visual_id", visual.getId());
//				detailVO.setConfig(visualConfigService.getOne(configWrapper));
//				detailVOList.add(detailVO);
//			});
//		}
//		historyReportInfoData.setVisualDetailVOList(detailVOList);
//		return R.data(historyReportInfoData);
//	}
//
//	/**
//	 * 分页 历史报告
//	 */
//	@GetMapping("/list")
//	@ApiOperationSupport(order = 2)
//	@ApiOperation(value = "列表 list", notes = "传入historyReportInfo")
//	public R<List<HistoryReportInfo>> list(HistoryReportInfo historyReportInfo) {
//		QueryWrapper queryWrapper = Condition.getQueryWrapper(historyReportInfo);
//		queryWrapper.orderByAsc("sort_order");
//		queryWrapper.orderByDesc("create_time");
//		List<HistoryReportInfo> list = historyReportInfoService.list(Condition.getQueryWrapper(historyReportInfo));
//		return R.data(list);
//	}
//
//	/**
//	 * 自定义分页 历史报告
//	 */
//	@GetMapping("/page")
//	@ApiOperationSupport(order = 3)
//	@ApiOperation(value = "分页 page", notes = "传入historyReportInfo")
//	public R<IPage<HistoryReportInfoVO>> page(HistoryReportInfoVO historyReportInfo, Query query) {
//		IPage<HistoryReportInfoVO> pages = historyReportInfoService.selectHistoryReportInfoPage(Condition.getPage(query), historyReportInfo);
//		return R.data(pages);
//	}
//
//	/**
//	 * 新增 历史报告
//	 */
//	@PostMapping("/save")
//	@ApiOperationSupport(order = 4)
//	@ApiOperation(value = "新增 save", notes = "传入historyReportInfo")
//	public R<Integer> save(@Valid @RequestBody CreateHistoryReportInfoData createHistoryReportInfoData) {
//		HistoryReportInfo historyReportInfo = createHistoryReportInfoData;
//		if (null == historyReportInfo.getFolderId()) {
//			//没有选择文件夹，则使用默认文件夹
//			QueryWrapper queryWrapper = new QueryWrapper();
//			queryWrapper.eq("folder_name", "默认文件夹");
//			List<HistoryReportFolder> folderList = historyReportFolderService.list(queryWrapper);
//			if (null != folderList && folderList.size() > 0) {
//				historyReportInfo.setFolderId(folderList.get(0).getId());
//			} else {
//				HistoryReportFolder historyReportFolder = new HistoryReportFolder();
//				historyReportFolder.setCreateTime(LocalDateTime.now());
//				historyReportFolder.setUserId(getUser().getUserId());
//				historyReportFolder.setFolderName("默认文件夹");
//				historyReportFolderService.save(historyReportFolder);
//				historyReportInfo.setFolderId(historyReportFolder.getId());
//			}
//		}
//		historyReportInfo.setCreateTime(LocalDateTime.now());
//		historyReportInfo.setBackgroundUrl(createHistoryReportInfoData.getBackgroundUrl());
//		historyReportInfoService.save(historyReportInfo);
//		Integer reportId = historyReportInfo.getId();
//
//		List<VisualDataDTO> visualDataList = createHistoryReportInfoData.getVisualDataList();
//		if (null != visualDataList && visualDataList.size() > 0) {
//			visualDataList.forEach(visualData -> {
//				Visual visual = visualService.getById(visualData.getVisual().getId());
//				visual.setCategory(null);
//				visual.setId(null);
//				visual.setHistoryReportId(reportId);
//				visual.setBackgroundUrl("");
//				visualService.save(visual);
//				VisualConfig visualConfig = visualConfigService.getById(visualData.getConfig().getId());
//				if (null == visualConfig) {
//					visualConfig = visualConfigService.selectByVisualId(visual.getId());
//				}
//				if (null != visualConfig) {
//					visualConfig.setVisualId(visual.getId());
//					visualConfig.setId(null);
//					String component = visualConfig.getComponent();
//					component = component.replaceAll("@month@", createHistoryReportInfoData.getReportMonth().substring(5));
//					visualConfig.setComponent(component);
//					visualConfigService.save(visualConfig);
//				}
//			});
//		}
//		return R.data(reportId);
//	}
//
//	/**
//	 * 修改 历史报告
//	 */
//	@PostMapping("/update")
//	@ApiOperationSupport(order = 5)
//	@ApiOperation(value = "修改 update", notes = "传入historyReportInfo")
//	public R update(@Valid @RequestBody HistoryReportInfo historyReportInfo) {
//		return R.status(historyReportInfoService.updateById(historyReportInfo));
//	}
//
//	/**
//	 * 新增或修改 历史报告
//	 */
//	@PostMapping("/submit")
//	@ApiOperationSupport(order = 6)
//	@ApiOperation(value = "新增或修改 submit", notes = "传入historyReportInfo")
//	public R<Integer> submit(@Valid @RequestBody CreateHistoryReportInfoData createHistoryReportInfoData) {
//		HistoryReportInfo historyReportInfo = createHistoryReportInfoData;
//		if (null == historyReportInfo.getCreateTime()) {
//			historyReportInfo.setCreateTime(LocalDateTime.now());
//		}
//		historyReportInfoService.saveOrUpdate(historyReportInfo);
//		Integer reportId = historyReportInfo.getId();
//
//		//清除旧数据
//		QueryWrapper visualQueryWrapper = new QueryWrapper();
//		visualQueryWrapper.eq("history_report_id", historyReportInfo.getId());
//		List<Visual> list = visualService.list(visualQueryWrapper);
//		if (null != list && list.size() > 0) {
//			list.forEach(visual -> {
//				QueryWrapper configWrapper = new QueryWrapper();
//				configWrapper.eq("visual_id", visual.getId());
//				visualConfigService.remove(configWrapper);
//				visualService.removeById(visual.getId());
//			});
//		}
//		//插入新数据
//		List<VisualDataDTO> visualDataList = createHistoryReportInfoData.getVisualDataList();
//		if (null != visualDataList && visualDataList.size() > 0) {
//			visualDataList.forEach(visualData -> {
//				Visual visual = visualService.getById(visualData.getVisual().getId());
//				visual.setCategory(null);
//				visual.setId(null);
//				visual.setHistoryReportId(reportId);
//				visualService.save(visual);
//				VisualConfig visualConfig = visualConfigService.getById(visualData.getConfig().getId());
//				if (null == visualConfig) {
//					visualConfig = visualConfigService.selectByVisualId(visual.getId());
//				}
//				if (null != visualConfig) {
//					visualConfig.setVisualId(visual.getId());
//					visualConfig.setId(null);
//					String component = visualConfig.getComponent();
//					component = component.replaceAll("@month@", createHistoryReportInfoData.getReportMonth().substring(5));
//					visualConfig.setComponent(component);
//					visualConfigService.save(visualConfig);
//				}
//			});
//		}
//		return R.data(reportId);
//	}
//
//
//	/**
//	 * 删除 历史报告
//	 */
//	@PostMapping("/remove")
//	@ApiOperationSupport(order = 8)
//	@ApiOperation(value = "删除 remove", notes = "传入ids")
//	public R remove(@ApiParam(value = "主键集合", required = true) @RequestParam String ids) {
//		List<Long> idList = Func.toLongList(ids);
//		if (null != idList && idList.size() > 0) {
//			idList.forEach(id -> {
//				QueryWrapper visualQueryWrapper = new QueryWrapper();
//				visualQueryWrapper.eq("history_report_id", id);
//				List<Visual> list = visualService.list(visualQueryWrapper);
//				if (null != list && list.size() > 0) {
//					list.forEach(visual -> {
//						QueryWrapper configWrapper = new QueryWrapper();
//						configWrapper.eq("visual_id", visual.getId());
//						visualConfigService.remove(configWrapper);
//						visualService.removeById(visual.getId());
//					});
//				}
//				historyReportInfoService.removeById(id);
//			});
//		}
//		return R.status(true);
//	}
//
//	/**
//	 * 修改历史报告visual的backgroundUrl
//	 */
//	@PostMapping("/updateVisualBackgroudUrl")
//	@ApiOperationSupport(order = 9)
//	@ApiOperation(value = "修改历史报告visual的backgroundUrl", notes = "传入historyReportInfo")
//	public R updateVisualBackgroudUrl(@Valid @RequestBody UpdateHistoryReportVisualBackgroundUrl updateHistoryReportVisualBackgroundUrl) {
//		Integer historyRerportId = updateHistoryReportVisualBackgroundUrl.getHistoryRerportId();
//		List<Visual> visualList = updateHistoryReportVisualBackgroundUrl.getVisualList();
//		if (null != visualList && visualList.size() > 0) {
//			visualList.forEach(visual -> {
//				String backgroundUrl = visual.getBackgroundUrl();
//				visual = visualService.getById(visual.getId());
//				visual.setHistoryReportId(historyRerportId);
//				visual.setBackgroundUrl(backgroundUrl);
//				visualService.updateById(visual);
//			});
//		}
//		return R.status(true);
//	}
//
//}
