/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.dto.oracle;

import org.springblade.datasource.enums.DetailColumnTypeEnum;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 报表视图字段
 *
 * @author wuyf
 * @since 2021-03-11
 */
@Data
public class ReportColumnDTO {

	@ApiModelProperty(value = "字段名称")
	private String columnName;

	@ApiModelProperty(value = "字段注释")
	private String columnComments;

	@ApiModelProperty(value = "字段类型")
	private String dataType;

	@ApiModelProperty(value = "字段大小(对于 numeric 和 decimal 类型,列的精度)")
	private Integer columnSize;
	
	@ApiModelProperty(value = "小数部分位数")
	private Integer decimalDigits;
	
	@ApiModelProperty(value = "字段自定义归类类型")
	private ViewColumnTypeEnum columnType;
	
	@ApiModelProperty(value = "字段细化归类类型")
	private DetailColumnTypeEnum detailColumnType;
	
	@ApiModelProperty(value = "是否允许为NULL(1-是/0-否)")
	private Integer nullAbleStatus;
}
