/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.dto.oracle;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 报表视图
 *
 * @author wuyf
 * @since 2021-03-11
 */
@Data
public class ReportViewDTO {

	@ApiModelProperty(value = "视图名称")
	private String tableViewName;

	@ApiModelProperty(value = "表中文名")
	private String tableComments;

	@ApiModelProperty(value = "数据源id")
	private Integer datasourceId;

	@ApiModelProperty(value = "表分类id")
	private Integer categoryId;

}
