/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 数据接口分类实体类
 *
 * @author BladeX
 * @since 2021-04-17
 */
@Data
@ApiModel(value = "DataApiCategory对象", description = "数据接口分类")
public class DataApiCategory extends TenantAppEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键 自增
	*/
		@ApiModelProperty(value = "主键 自增")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;

	/**
	 * 二级分类ID
	 */
	@ApiModelProperty(value = "二级分类id")
		private Integer pid;
	/**
	* 排序值，从小到大排
	*/
		@ApiModelProperty(value = "排序值，从小到大排")
		private Integer orderIndex;
	/**
	* 指标分类名称
	*/
		@ApiModelProperty(value = "指标分类名称")
		private String categoryName;
	/**
	* 备注
	*/
		@ApiModelProperty(value = "备注")
		private String remark;
	/**
	* 创建时间
	*/
		@ApiModelProperty(value = "创建时间")
		private LocalDateTime createTime;

		@ApiModelProperty(value = "创建人ID")
		private Long createUserId;

}
