/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 历史报告文件夹实体类
 *
 * @author BladeX
 * @since 2021-07-02
 */
@Data
@ApiModel(value = "HistoryReportFolder对象", description = "历史报告文件夹")
public class HistoryReportFolder extends TenantAppEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 自增主键
	*/
		@ApiModelProperty(value = "自增主键")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 显示排序
	*/
		@ApiModelProperty(value = "显示排序")
		private Integer sortOrder;
	/**
	* 文件夹名称
	*/
		@ApiModelProperty(value = "文件夹名称")
		private String folderName;
	/**
	* 用户id
	*/
		@ApiModelProperty(value = "用户id")
		private Long userId;
	/**
	* 创建时间
	*/
		@ApiModelProperty(value = "创建时间")
		private LocalDateTime createTime;


}
