/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.core.mp.base.TenantAppEntity;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 报表实体类
 *
 * @author BladeX
 * @since 2021-03-30
 */
@Data
@ApiModel(value = "Report对象", description = "报表")
public class Report extends TenantAppEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键自增
	*/
		@ApiModelProperty(value = "主键自增")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 分期报告的上级报告
	*/
		@ApiModelProperty(value = "分期报告的上级报告")
		private Integer parentId;
	/**
	* 报表名称
	*/
		@ApiModelProperty(value = "报表名称")
		private String title;
	/**
	* 报表类型 0-月报1-周报 2-日报 3-年报 4-季报
	*/
		@ApiModelProperty(value = "报表类型 0-月报1-周报 2-日报 3-年报 4-季报")
		private Integer type;
	/**
	* 报表状态 0-下线 1-发布
	*/
		@ApiModelProperty(value = "报表状态 0-下线 1-发布")
		private Integer status;
	/**
	* 显示次序
	*/
		@ApiModelProperty(value = "显示次序")
		private Integer sortOrder;
	/**
	* 备注
	*/
		@ApiModelProperty(value = "备注")
		private String remark;
	/**
	* 创建时间
	*/
		@ApiModelProperty(value = "创建时间")
		private LocalDateTime createTime;
	/**
	* 创建人
	*/
		@ApiModelProperty(value = "创建人")
		private Long createUser;
	/**
	* 更新人
	*/
		@ApiModelProperty(value = "更新人")
		private Long updateUser;


}
