/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 报表权限实体类
 *
 * @author BladeX
 * @since 2021-03-19
 */
@Data
@ApiModel(value = "ReportRole对象", description = "报表权限")
public class ReportRole implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键自增
	*/
		@ApiModelProperty(value = "主键自增")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 报表id
	*/
		@ApiModelProperty(value = "报表id")
		private Integer reportId;
	/**
	* 角色id
	*/
		@ApiModelProperty(value = "角色id")
		private Long roleId;
	/**
	* 权限类型 1-查看 2-编辑
	*/
		@ApiModelProperty(value = "权限类型 1-查看 2-编辑")
		private Integer type;


}
