/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 报告模板页实体类
 *
 * @author BladeX
 * @since 2021-03-30
 */
@Data
@ApiModel(value = "ReportTemplate对象", description = "报告模板页")
public class ReportTemplate implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 自增主键
	*/
		@ApiModelProperty(value = "自增主键")
		@TableId(value = "id", type = IdType.AUTO)
	private Integer id;
	/**
	* 报告id
	*/
		@ApiModelProperty(value = "报告id")
		private Integer reportId;
	/**
	* 源模板id
	*/
		@ApiModelProperty(value = "源模板id")
		private Integer origTemplateId;
	/**
	* 页面名称
	*/
		@ApiModelProperty(value = "页面名称")
		private String title;
	/**
	* 配置信息
	*/
		@ApiModelProperty(value = "配置信息")
		private String detail;
	/**
	* 组件信息
	*/
		@ApiModelProperty(value = "组件信息")
		private String component;


}
