/**
 * 
 */
package org.springblade.report.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.report.dto.oracle.ReportColumnDTO;
import org.springblade.report.dto.oracle.ReportViewDTO;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;

/**
 * @author wookvn
 *
 */
public interface ReportBaseInfoMapper {

	@DS("#dsPoolName")
	@Select({"<script>",
			"select top 1000 " + 
			"ROW_NUMBER() OVER (ORDER BY a.name) AS oder_num, " + 
			"a.name AS table_view_name, " + 
			"g.[value] AS table_comments " + 
			"from " + 
			"sys.objects a left join sys.extended_properties g " + 
			"on (a.object_id = g.major_id AND g.minor_id = 0) where a.type in ('V', 'U') ",
			"<if test ='tableName != null'>and a.name like CONCAT('%', #{tableName})</if>",
			"</script>"})
	@InterceptorIgnore(tenantLine = "true")
	public List<ReportViewDTO> getTableListOfSqlserver(String dsPoolName, @Param("tableName") String tableName);

	
	@DS("#dsPoolName")
	@Select("select b.name column_name, c.name data_type, b.prec as column_size, b.scale as decimal_digits, d.value as column_comments,b.isnullable as null_able_status\n" + 
			"from sysobjects a inner join syscolumns b on a.id=b.id and a.xtype in ('U', 'V')\n" + 
			"inner join systypes c on b.xtype=c.xusertype\n" + 
			"LEFT JOIN sys.extended_properties d ON d.major_id = b.id AND d.minor_id = b.colid\n" + 
			"where a.name=#{tableName}")
	@InterceptorIgnore(tenantLine = "true")
	public List<ReportColumnDTO> getColumnListOfSqlserver(String dsPoolName, @Param("tableName") String tableName);

}
