/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.report.entity.Test;
import org.springblade.report.vo.TestVO;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * Mapper 接口
 *
 * @author BladeX
 * @since 2021-03-20
 */
@InterceptorIgnore(tenantLine = "true")
public interface TestMapper extends BaseMapper<Test> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param test
	 * @return
	 */
	List<TestVO> selectTestPage(IPage page, TestVO test);

	List<LinkedHashMap<String, Object>> selectTest(@Param("sql") String sql);//, @Param("params")Map<String, Object> params
	
	List<LinkedHashMap<String, Object>> selectPage(IPage<?> page, @Param("sql") String sql);
}