/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.service.impl;

import org.springblade.report.entity.DataApi;
import org.springblade.report.vo.DataApiVO;
import org.springblade.report.mapper.DataApiMapper;
import org.springblade.report.service.IDataApiService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 数据接口 服务实现类
 *
 * @author BladeX
 * @since 2021-04-17
 */
@Service
public class DataApiServiceImpl extends ServiceImpl<DataApiMapper, DataApi> implements IDataApiService {

	@Override
	public IPage<DataApiVO> selectDataApiPage(IPage<DataApiVO> page, DataApiVO dataApi) {
		return page.setRecords(baseMapper.selectDataApiPage(page, dataApi));
	}

	@Override
	public DataApi getOneByApiKey(String apiKey) {
		return this.getBaseMapper().selectByApiKey(apiKey);
	}

}
