/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.report.entity.OrderMonth;
import org.springblade.report.vo.OrderMonthVO;
import org.springblade.report.mapper.OrderMonthMapper;
import org.springblade.report.service.IOrderMonthService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 产品订购月报视图 服务实现类
 *
 * @author BladeX
 * @since 2021-03-10
 */
@Service
@DS("oracle143")
public class OrderMonthServiceImpl extends ServiceImpl<OrderMonthMapper, OrderMonth> implements IOrderMonthService {

	@Override
	public IPage<OrderMonthVO> selectOrderMonthPage(IPage<OrderMonthVO> page, OrderMonthVO orderMonth) {
		return page.setRecords(baseMapper.selectOrderMonthPage(page, orderMonth));
	}

}
