/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.service.impl;

import java.util.LinkedHashMap;
import java.util.List;

import javax.annotation.Resource;

import org.springblade.report.entity.Test;
import org.springblade.report.mapper.TestMapper;
import org.springblade.report.service.ITestService;
import org.springblade.report.vo.TestVO;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 服务实现类
 *
 * @author BladeX
 * @since 2021-03-20
 */
@Service
//@DS("#session.tenantName")
public class TestServiceImpl extends ServiceImpl<TestMapper, Test> implements ITestService {

	@Resource
	private TestMapper testMapper;

	@Override
	public IPage<TestVO> selectTestPage(IPage<TestVO> page, TestVO test) {
		return page.setRecords(baseMapper.selectTestPage(page, test));
	}

	@DS("#poolName")
	@Override
	public List<LinkedHashMap<String, Object>> selectTest(String poolName, String sql) {
		sql = sql.replaceAll("&lt;", "<").replaceAll("&gt;", ">").replaceAll("&le;", "<=").replaceAll("&ge;", ">=");
		return testMapper.selectTest(sql);
	}

	@DS("#poolName")
	@Override
	public List<LinkedHashMap<String, Object>> selectPage(IPage<?> page, String poolName, String sql) {
		sql = sql.replaceAll("&lt;", "<").replaceAll("&gt;", ">").replaceAll("&le;", "<=").replaceAll("&ge;", ">=");
		return testMapper.selectPage(page, sql);
	}
}
