package org.springblade.subscribe.controller;


import java.util.List;

import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springblade.subscribe.entity.VisualSubscribe;
import org.springblade.subscribe.entity.VisualSubscribeNotifyConf;
import org.springblade.subscribe.service.VisualSubscribeNotifyConfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping("/subscribeNotifyConf")
@Api(value = "订阅方式配置接口", tags = "订阅方式配置接口")
public class VisualSubscribeNotifyConfController extends BladeController {

    @Autowired
    private VisualSubscribeNotifyConfService notifyConfService;


    /**
     *
     * @return
     */
    @GetMapping("/list")
    @ApiOperation(value = "订阅方式配置列表")
    public R<List<VisualSubscribeNotifyConf>> list(VisualSubscribeNotifyConf visualSubscribeNotifyConf){
        QueryWrapper<VisualSubscribeNotifyConf> queryWrapper = new QueryWrapper<VisualSubscribeNotifyConf>(visualSubscribeNotifyConf);
        queryWrapper.lambda().orderByAsc(VisualSubscribeNotifyConf::getTenantId).orderByAsc(VisualSubscribeNotifyConf::getSort);
        return R.data(notifyConfService.list(queryWrapper));
    }

    /**
     * 保存
     */
    @PostMapping("/save")
    @ApiOperationSupport(order = 2)
    @ApiOperation(value = "保存 save", notes = "传入list")
    public R<Boolean> save(@RequestBody List<VisualSubscribeNotifyConf> list) {
    	//清除缓存
    	list.forEach(item -> notifyConfService.evict(item.getNotifyType()));
        return R.data(notifyConfService.saveOrUpdateBatch(list));
    }

}
