/**
 *
 */
package org.springblade.subscribe.entity;

import java.io.Serializable;
import java.util.Date;

import org.springblade.subscribe.enums.DataType;
import org.springblade.subscribe.enums.NotifyType;
import org.springblade.subscribe.enums.TriggerPeriod;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("visual_subscribe")
@ApiModel("订阅服务结构体")
public class VisualSubscribe implements Serializable {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty("订阅名称/标题")
	@TableField(condition = SqlCondition.LIKE)
	private String subTitle;

	@ApiModelProperty("订阅内容类型")
	private DataType dataType;

	@ApiModelProperty("订阅内容ID")
	private Integer dataId;

	@ApiModelProperty("触发周期")
	private TriggerPeriod triggerPeriod;

	@ApiModelProperty("触发周几(triggerPeriod=week有效【1-7 周日-周六】)")
	private Integer triggerWeekValue;

	@ApiModelProperty("触发某天(triggerPeriod=month有效)")
	private Integer triggerDayValue;

	@ApiModelProperty("触发小时数")
	private Integer triggerHour;

	@ApiModelProperty("触发分钟数[后端自动设置]")
	private Integer triggerMinute;

	@ApiModelProperty("开始触发的时间(triggerPeriod=hour有效)")
	private Integer beginTriggerHour;

	@ApiModelProperty("结束触发的时间(triggerPeriod=hour有效)")
	private Integer endTriggerHour;

	@ApiModelProperty("间隔(triggerPeriod=hour有效)")
	private Integer period;

	@ApiModelProperty("xxljob任务ID")
	private Integer jobId;

	@ApiModelProperty(value = "租户id")
	private String tenantId;

	@ApiModelProperty("通知方式")
	private NotifyType notifyType;

	@ApiModelProperty("通知标题")
	private String notifyTitle;

	@ApiModelProperty("通知内容")
	private String notifyContent;

	@ApiModelProperty("订阅人ID")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;

	@ApiModelProperty("订阅人姓名")
	private String userName;

	@ApiModelProperty("订阅时间")
	private Date createTime;

}
