/**
 *
 */
package org.springblade.subscribe.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

import lombok.Getter;

/**
 * @author wookvn
 *
 */
@Getter
public enum TriggerPeriod {

	day(0, "每天"){
		@Override
		public String buildCron(Integer dayValue, Integer weekValue, Integer hourValue, Integer minuteValue) {
			return String.format("0 %s %s * * ?", minuteValue, hourValue);
		}
	},
	week(1, "每周"){
		@Override
		public String buildCron(Integer dayValue, Integer weekValue, Integer hourValue, Integer minuteValue) {
			return String.format("0 %s %s * * %s", minuteValue, hourValue, weekValue);
		}
	},
	month(2, "每月"){
		@Override
		public String buildCron(Integer dayValue, Integer weekValue, Integer hourValue, Integer minuteValue) {
			return String.format("0 %s %s %s * ?", minuteValue, hourValue, dayValue);
		}
	},
	hour(4, "小时"){
		@Override
		public String buildCron(Integer dayValue, Integer weekValue, Integer hourValue, Integer minuteValue) {
			return String.format("0 %s %s * * ?", minuteValue, hourValue);
		}
	},

	;

	@EnumValue
	private final Integer value;
	private final String message;
	/**
	 * @param value
	 * @param message
	 */
	private TriggerPeriod(Integer value, String message) {
		this.value = value;
		this.message = message;
	}

	public abstract String buildCron(Integer dayValue, Integer weekValue, Integer hourValue, Integer minuteValue);
}
