package org.springblade.usergroup.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName(value = "cube_group_classify" ,autoResultMap = true)
@ApiModel(value = "GroupClassify对象", description = "自定义人群分类")
public class GroupClassify extends TenantEntity implements Serializable {

	@TableId(type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty("分类名称")
	private String classifyName;

	@ApiModelProperty("创建时间")
	private Date createTime;

	@ApiModelProperty("创建人")
	private String createBy;

	@ApiModelProperty("创建人ID")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long createUserId;

	@ApiModelProperty("修改时间")
	private Date updateTime;
}
