/**
 * 
 */
package org.springblade.visual.controller;

import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springblade.visual.dto.BloodRelationDto;
import org.springblade.visual.service.BloodRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

/**
 * @author wookvn
 *
 *	血缘关系
 */
@RestController
@RequestMapping("visual/bloodRelation")
@Api(value = "血缘关系", tags = "血缘关系接口")
public class BloodRelationController extends BladeController {
	
	@Autowired
	private BloodRelationService bloodRelationService;
	
	/**
	 * 
	 * @param cubeDataId
	 * @return
	 */
	@GetMapping("/tree")
	@ApiOperation("根据数据集ID获取血缘关系树形结构图")
	public R<BloodRelationDto> tree(@RequestParam Integer cubeDataId){
		return bloodRelationService.relationTree(cubeDataId, getUser().getUserId());
	}
	
	/**
	 * 
	 * @param cubeDataId
	 * @return
	 */
	@GetMapping("/treeByTable")
	@ApiOperation("根据根据表名获取血缘关系树形结构图")
	public R<BloodRelationDto> treeByTable(
			@ApiParam(value = "数据源ID", required = true) @RequestParam Integer datasourceId,
			@ApiParam(value = "物理表名", required = true) @RequestParam String tableName,
			@ApiParam(value = "表注释名", required = false) @RequestParam(required = false) String tableComment){
		return bloodRelationService.relationTree(tableName, tableComment, datasourceId, getUser().getUserId());
	}
}
