package org.springblade.visual.controller;

import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springblade.visual.dto.VisualComponentHistoryRecordDto;
import org.springblade.visual.entity.VisualComponentHistoryRecord;
import org.springblade.visual.service.VisualComponentHistoryRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/component-history")
@Api(value = "组件历史记录", tags = "组件历史记录查询接口")
public class VisualComponentHistoryRecordController extends BladeController {

    @Autowired
    private VisualComponentHistoryRecordService visualComponentHistoryRecordService;

    @PostMapping("/save")
    @ApiOperation("保存组件历史记录")
    public R<Boolean> saveRecord(@RequestBody String record){
        VisualComponentHistoryRecord historyRecord = JSONUtil.toBean(record, VisualComponentHistoryRecord.class);
        return R.data(visualComponentHistoryRecordService.saveComponentHistoryRecord(historyRecord,getUser()));
    }


    @GetMapping("/query")
    @ApiOperation("查询组件历史记录")
    public R<List<VisualComponentHistoryRecord>> getComponentHistoryRecordList(VisualComponentHistoryRecordDto record,
                                                                               Integer limit){
        record.setOperationUserId(getUser().getUserId());
        return R.data(visualComponentHistoryRecordService.getComponentHistoryRecordList(record,limit));
    }

    @PostMapping("/delete")
    @ApiOperation("根据key删除组件查询历史记录")
    public R<Boolean> deleteRecord(String key){

        return R.data(visualComponentHistoryRecordService.remove(Wrappers.<VisualComponentHistoryRecord>lambdaQuery()
                .eq(VisualComponentHistoryRecord::getComponentKey,key)));
    }
}
