/**
 * 
 */
package org.springblade.visual.dto;

import java.io.Serializable;
import java.util.List;

import org.springblade.visual.enums.FilterConnectTimeEnum;
import org.springblade.visual.enums.FilterConnectTypeEnum;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class ComponentFilter implements Serializable  {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty("唯一值")
	private String uniqId;
	
	@ApiModelProperty("连接方式")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private FilterConnectTypeEnum connectType;
	
	@ApiModelProperty("连接时机")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private FilterConnectTimeEnum connectTime;
	
	@ApiModelProperty("条件数据")
	private List<ComponentFilterCondition> conditions;
	
	@ApiModelProperty("字段")
	private ComponentColumn column;
	
	public ComponentFilter() {}
	
	public ComponentFilter(ComponentColumn column) {
		this.column = column;
		this.connectTime = FilterConnectTimeEnum.WHERE;
		this.connectType = FilterConnectTypeEnum.AND;
	}
}
