/**
 * 
 */
package org.springblade.visual.entity;

import java.io.Serializable;
import java.util.Date;

import org.springblade.visual.enums.ComponentTypeEnum;
import org.springblade.visual.enums.ComponentUseTypeEnum;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.NullSerializer;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@TableName("visual_component")
@ApiModel(value = "VisualComponent对象", description = "模板组件表")
public class VisualComponent implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty("图表类型标志") //比如：new-bar,new-table
	private String name;
	
	@ApiModelProperty("图层名称") //前端使用
	private String title;

	@ApiModelProperty("可视化主键ID")
	private Integer visualId;
	
	@ApiModelProperty("数据源ID")
	private Integer datasourceId;
	
	@ApiModelProperty("数据集ID")
	private Integer cubeDataId;
	
	@ApiModelProperty("查询条件JSON")
	private String filterJson;
	
	@ApiModelProperty("查询条件关系JSON")
	private String filterRelationJson;
	
	@ApiModelProperty("字段JSON")
	private String columnJson;
	
	@ApiModelProperty("排序JSON")
	private String sortJson;
	
	@ApiModelProperty("额外JSON")
	private String extJson;
	
	@JsonIgnore
	@ApiModelProperty(hidden = true)
	private String querySql;
	
	@ApiModelProperty("使用方式(0-数据集/1-API)")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private ComponentUseTypeEnum useType;
	
	@ApiModelProperty("显示条数")
	private Integer limitVal;
	
	@ApiModelProperty("创建时间")
	private Date createTime;
	
	@ApiModelProperty("创建人")
	private String createBy;
	
	@ApiModelProperty("创建人ID")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long createUserId;
	
	@ApiModelProperty(value = "组件内容")
	private String content;
	
	@ApiModelProperty(value = "组件类型")
	@JsonSerialize(nullsUsing = NullSerializer.class)
	private ComponentTypeEnum compType;
	
	@JsonIgnore
	@ApiModelProperty(hidden = true)
	private String columnIdList;

	@ApiModelProperty("是否为移动大屏组件")
	private Integer isMobile;
	
//	@ApiModelProperty("API接口Key")
//	private String apiKey;
	
}
