/**
 * 
 */
package org.springblade.visual.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * @author wookvn
 *
 */
@Data
@TableName("visual_component_export")
@ApiModel(value = "VisualComponentExport对象", description = "组件清单数据导出model")
public class VisualComponentExport extends TenantEntity implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@TableId(type = IdType.AUTO)
	private Integer id;
	
	@ApiModelProperty(value = "大屏ID")
	private Integer visualId;
	
	@ApiModelProperty(value = "组件ID")
	private Integer componentId;
	
	@ApiModelProperty(value = "大屏分类ID")
	private Integer visualCategoryId;
	
	@ApiModelProperty(value = "大屏名称")
	@TableField(condition = SqlCondition.LIKE)
	private String visualName;
	
	@ApiModelProperty(value = "组件名称")
	@TableField(condition = SqlCondition.LIKE)
	private String componentName;
	
	@ApiModelProperty(value = "操作人")
	private String operator;
	
	@ApiModelProperty(value = "操作人ID")
	private Long operatorId;
	
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	
	@ApiModelProperty(value = "开始时间")
	private Date finishTime;
	
	@ApiModelProperty(value = "导出状态(0-导出中/1-成功/2-失败)")
	private Integer exportStatus;
	
	@ApiModelProperty(value = "文件名称")
	private String fileName;
	
	@ApiModelProperty(value = "扩展属性，错误描述【记录错误日志，不要暴露给用户】")
	private String ext;
}
