package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.core.mp.base.TenantEntity;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("visual_external_link_info")
@ApiModel(value = "VisualExternalLinkInfo对象",description = "三方iframe记录")
public class VisualExternalLinkInfo  extends TenantEntity implements Serializable {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("文件访问路径")
    private String path;

    @ApiModelProperty("上传人员")
    private String uploadUser;

    @ApiModelProperty("上传人员id")
    private String uploadUserId;

    @ApiModelProperty("文件是否可用，0：不可用，1：可用")
    private Integer status;

    @ApiModelProperty("租户id")
    private String trendId;

    @ApiModelProperty("上传时间")
    private LocalDateTime uploadTime;
}
