package org.springblade.visual.entity;


import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@TableName("visual_login_free_link")
@ApiModel(value = "VisualLoginFreeLink对象", description = "免登录链接对象")
public class VisualLoginFreeLink implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 大屏id
     */
    @ApiModelProperty(value = "大屏id")
    @TableField(condition = SqlCondition.LIKE)
    private Integer visualDataId;
    /**
     * 大屏标题
     */
    @ApiModelProperty(value = "大屏标题")
    private String visualDataTitle;
    /**
     * 链接类型
     */
    @ApiModelProperty(value = "链接类型：0免登录 1账号匹配")
    private Integer linkType;
    /**
     * 账号id
     */
    @ApiModelProperty(value = "账号id")
    private Long userId;
    /**
     * 账号名称
     */
    @ApiModelProperty(value = "账号名称")
    private String userName;
    /**
     * 有效期
     */
    @ApiModelProperty(value = "有效期")
    private String validDate;

    /**
     * 用途
     */
    @ApiModelProperty(value = "用途")
    private String purpose;

    /**
     * 是否验证用户有效性
     */
    @ApiModelProperty(value = "是否验证用户有效性：0是 1否")
    private Integer isVerify;

    /**
     * 短链接
     */
    @ApiModelProperty(value = "短链接")
    private String shortLink;

    /**
     * 真实链接
     */
    @ApiModelProperty(value = "真实链接")
    private String realUrl;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态：0下线 1上线")
    private Integer status;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Long createUserId;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    private String updateBy;

    /**
     * 修改人id
     */
    @ApiModelProperty(value = "修改人id")
    private Long updateUserId;


    /**
     * 三方token
     */
    @ApiModelProperty(value = "三方token")
    private String userToken;
    /**
     * 本系统token
     */
    @ApiModelProperty(value = "本系统token")
    private String accessToken;

    /**
     * 三方web嵌入是否公共可见
     */
    @ApiModelProperty(value = "是否公共可见 1：是，0：否")
    private Integer publicStatus;

    @ApiModelProperty(value = "租户id")
    private String tenantId;

    @ApiModelProperty(value = "登录密码")
    private String pass;
}
