package org.springblade.visual.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.TenantEntity;

/**
 * 幻灯片分类表 visual_power_point_category
 * 
 * @author wookvn
 * @date 2023-02-04
 */
@Data
@TableName("visual_power_point_category")
@ApiModel(value = "VisualPowerPointCategory对象", description = "幻灯片分类")
public class VisualPowerPointCategory extends TenantEntity implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	

	/** 
	 * 父级ID 
	 */
	@ApiModelProperty(value = "父级ID")
	private Integer parentId;

	/** 
	 * 分类名称 
	 */
	@ApiModelProperty(value = "分类名称")
	@TableField(condition = SqlCondition.LIKE)
	private String cateName;

	/** 
	 * 排序号 
	 */
	@ApiModelProperty(value = "排序号")
	private Integer sortNum;

	/** 
	 * 创建人ID 
	 */
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;

	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;
}
