/**
 * 
 */
package org.springblade.visual.enums;

import java.time.LocalDateTime;
import java.time.temporal.IsoFields;

import cn.hutool.core.date.DateUtil;

/**
 * @author wookvn
 *
 */
public enum FilterTimeTypeEnum {

	DAY{
		@Override
		public int formatInteger(LocalDateTime dateTime) {
			return Integer.valueOf(DateUtil.format(dateTime, "yyyyMMdd"));
		}
	},
	
	MONTH{
		@Override
		public int formatInteger(LocalDateTime dateTime) {
			return Integer.valueOf(DateUtil.format(dateTime, "yyyyMM"));
		}
	},
	
	QUARTER{
		@Override
		public int formatInteger(LocalDateTime dateTime) {
			int quarter = dateTime.get(IsoFields.QUARTER_OF_YEAR);
			int year = dateTime.getYear();
			return Integer.valueOf(year + "" + quarter);
		}
	};
	
	public abstract int formatInteger(LocalDateTime dateTime);
}
