/**
 * 
 */
package org.springblade.visual.enums;

import java.io.Serializable;
import java.util.List;

import org.springblade.cube.utils.CubeUtils;
import org.springblade.datasource.enums.DsTypeEnum;
import org.springblade.datasource.enums.ViewColumnTypeEnum;

/**
 * @author wookvn
 *
 */
@FunctionalInterface
public interface InterfaceSqlFunction extends Serializable{

	/**
	 * @param columnSql
	 * @param columnType
	 * @param values
	 * @return
	 */
	public String handle(String columnSql, ViewColumnTypeEnum columnType, List<Object> values, DsTypeEnum dsTypeEnum);
	
	/**
	 * 
	 * @param columnType
	 * @return
	 */
	default String format(ViewColumnTypeEnum columnType, DsTypeEnum dsTypeEnum, Object value) {
		String valStr = columnType == ViewColumnTypeEnum.NUMBER ? value.toString() : String.format("%s'%s'", sqlServerNString(value, dsTypeEnum), value);
		//%替换为%%，在CommonFunctionEnum中使用String.format()方法时单个%有问题。
		return valStr.replaceAll("%", "%%");
	}
	
	/**
	 * 
	 * @return
	 */
	default String sqlServerNString(Object value, DsTypeEnum dsTypeEnum) {
		return dsTypeEnum == DsTypeEnum.sqlserver && CubeUtils.isContainsChinese(value.toString()) ? "N" : "";
	}
	
	/**
	 * 格式化处理Like时%问题
	 * @param dsTypeEnum
	 * @param value
	 * @return
	 */
	default String formatLike(Object value, DsTypeEnum dsTypeEnum) {
		return dsTypeEnum == DsTypeEnum.mysql ? value.toString().replaceAll("%", "\\\\%") : value.toString();
	}
}