/**
 * 
 */
package org.springblade.visual.enums;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wookvn
 *
 *	消息预警方式
 */
@Getter
@AllArgsConstructor
public enum WarningWayEnum {

	SMS(1 << 0, "短信"),  //1
	
	EMAIL(1 << 1, "邮件"), //2
	
	QYWECHAT(1 << 2, "企业微信"), //4 企业微信
	
	DINGTALK(1 << 3, "钉钉"), //8 钉钉
	
	FEISHU(1 << 4, "飞书"),  //16 飞书

	TIANXIANGYUN(1 << 5, "天象云");  //32 天象云

	private Integer value;
	private String message;
	
	/**
	 * @param typeValue
	 * @param awardType
	 * @return
	 */
	public boolean check(int typeValue) {
		return (typeValue & this.getValue()) == this.getValue();
	}
	
	/**
	 * @return
	 */
	public int merge(int typeValue) {
		return typeValue | this.getValue();
	}
	
	public static List<WarningWayEnum> checkedList(int typeValue){
		return Stream.of(WarningWayEnum.values()).filter(item -> item.check(typeValue)).collect(Collectors.toList());
	}
	
}
