/**
 * 
 */
package org.springblade.visual.mapper;

import java.util.List;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualDataPermission;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @author wookvn
 *
 */
public interface VisualDataPermissionMapper extends BaseMapper<VisualDataPermission> {

	@Delete({
		"delete a from visual_data_permission a",
		"inner join visual_data b on a.visual_id = b.id",
		"where b.category = #{classifyId} and a.data_perm_id = #{dataPermId}"
	})
	public int deleteByClassifyIdAndPermId(@Param("classifyId")Integer classifyId, @Param("dataPermId")Integer dataPermId);
	
	@Select({
		"select distinct a.visual_id from visual_data_permission a",
		"inner join visual_data b on a.visual_id = b.id",
		"where b.category = #{classifyId} and a.data_perm_id = #{dataPermId}"
	})
	public List<Integer> selectVisualIdList(@Param("dataPermId")Integer dataPermId, @Param("classifyId")Integer classifyId);

	
	@Select({
		"select count(a.id) from visual_data_permission a",
		"inner join data_permission_user b on a.data_perm_id = b.data_perm_id",
		"where b.user_id = #{userId} and a.visual_id = #{visualDataId}"
	})
	public int checkVisualForUser(@Param("visualDataId")Integer visualDataId, @Param("userId")Long userId);
	
	
	@Select({
		"select b.id as permId, b.perm_name as permName",
		"from visual_data_permission a inner join data_permission b on a.data_perm_id = b.id",
		"where a.visual_id = #{visualId}"
	})
	@InterceptorIgnore(tenantLine = "true")
	public List<JSONObject> selectDataPermList(@Param("visualId")Integer visualId);
}
