package org.springblade.visual.mapper;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualLoginFreeLinkPermission;

import java.util.List;

/**
 * @Author: hepingguo
 * @Description:
 * @Date: 2023/3/20 10:39
 **/
public interface VisualLoginFreeLinkPermissionMapper extends BaseMapper<VisualLoginFreeLinkPermission> {

    @Select({
            "select distinct a.link_id",
            "from visual_login_free_link_permission a",
            "inner join visual_login_free_link b on a.link_id = b.id and a.data_perm_id = #{dataPermId}",
    })
    List<Integer> listLoginFreeLinkId(@Param("dataPermId") Integer dataPermId);

    @Delete({
            "delete from visual_login_free_link_permission where data_perm_id = #{dataPermId}"
    })
    void deleteByPermId(@Param("dataPermId") Integer dataPermId);

    @Select({
            "select count(a.id)",
            "from visual_login_free_link_permission a",
            "inner join data_permission_user b on a.data_perm_id = b.data_perm_id",
            "where b.user_id = #{userId} and a.link_id = #{linkId}"
    })
    int checkVisualForUser(@Param("linkId") Integer linkId, @Param("userId") Long userId);

    @Select({
            "select b.id as permId, b.perm_name as permName",
            "from visual_login_free_link_permission a inner join data_permission b on a.data_perm_id = b.id",
            "where a.link_id = #{linkId}"
    })
    List<JSONObject> selectDataPermList(@Param("linkId") Integer linkId);
}
