/**
 * 
 */
package org.springblade.visual.mapper;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualPowerPointPermission;

import java.util.List;

/**
 *	幻灯片权限组 数据处理
 *
 * @author wookvn
 * @date   2023-02-04
 */
public interface VisualPowerPointPermissionMapper extends BaseMapper<VisualPowerPointPermission>{

    @Select({"select distinct vppi.cate_id",
            "from visual_power_point_info vppi",
            "         left join visual_power_point_permission vppp on vppi.id = vppp.pp_id",
            "         left join data_permission_user dpu on vppp.data_perm_id = dpu.data_perm_id",
            "where dpu.user_id = #{currUserId}",
            "   or vppi.create_user_id = #{currUserId}",
            "   or vppi.public_status = 1"})
    List<Integer> categoryIdListPerm(@Param("currUserId") long currUserId);

    @Select({"select distinct a.pp_id from visual_power_point_permission a",
            "            inner join visual_power_point_info b on a.pp_id = b.id",
            "            where b.cate_id = #{visualCategoryId} and a.data_perm_id = #{dataPermId}"})
    List<Integer> listVisualId(@Param("dataPermId") Integer dataPermId, @Param("visualCategoryId") Integer visualCategoryId);

    @Delete({"delete a from visual_power_point_permission a",
            "            inner join visual_power_point_info b on a.pp_id = b.id",
            "            where b.cate_id = #{visualCategoryId} and a.data_perm_id = #{dataPermId}"})
    void deleteByCategoryIdAndPermId(@Param("visualCategoryId") Integer visualCategoryId, @Param("dataPermId") Integer dataPermId);

    @Select({"select count(a.id) from visual_power_point_permission a",
            "            inner join data_permission_user b on a.data_perm_id = b.data_perm_id",
            "            where b.user_id = #{userId} and a.pp_id = #{powerId}"})
    int checkVisualForUser(@Param("powerId") Integer powerId, @Param("userId") Long userId);

    @Select({
            "select b.id as permId, b.perm_name as permName",
            "from visual_power_point_permission a inner join data_permission b on a.data_perm_id = b.id",
           " where a.pp_id = #{powerId}"
    })
    List<JSONObject> selectDataPermList(@Param("powerId") Integer powerId);
}