/**
 * 
 */
package org.springblade.visual.service;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.secure.BladeUser;
import org.springblade.visual.entity.VisualEnum;
import org.springblade.visual.mapper.VisualEnumMapper;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @author wookvn
 *
 */
@Service
public class VisualEnumService extends ServiceImpl<VisualEnumMapper, VisualEnum> {

    public IPage<VisualEnum> doPage(VisualEnum visualEnum, Query query, BladeUser user) {
//        visualEnum.setUserId(user.getUserId());
        String keyCode = null;
        if (StrUtil.isNotEmpty(visualEnum.getKeyCode())){
            keyCode = visualEnum.getKeyCode();
            visualEnum.setKeyCode(null);
        }
        LambdaQueryWrapper<VisualEnum> queryWrapper = Condition.getQueryWrapper(visualEnum).lambda();
        if (StrUtil.isNotEmpty(keyCode)){
            queryWrapper.like(VisualEnum::getKeyCode,keyCode);
        }
        IPage<VisualEnum> pages = this.page(Condition.getPage(query),queryWrapper.orderByDesc(VisualEnum::getSortNum).orderByDesc(VisualEnum::getId));

        return pages;
    }
}
