package org.springblade.visual.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.visual.entity.VisualShortCodeGenerator;
import org.springblade.visual.mapper.VisualShortCodeGeneratorMapper;
import org.springframework.stereotype.Service;

@Service
public class VisualShortCodeGeneratorService extends ServiceImpl<VisualShortCodeGeneratorMapper, VisualShortCodeGenerator> {


    public Long getCodeNum() {
        LambdaQueryWrapper<VisualShortCodeGenerator> wrapper = Wrappers
                .lambdaQuery(VisualShortCodeGenerator.class).last("limit 0,1");
        VisualShortCodeGenerator code = getOne(wrapper);
        if (code == null) {
            code = new VisualShortCodeGenerator();
            code.setCodeNum(1000000l);
        } else {
            code.setCodeNum(code.getCodeNum() + 1);
        }
        saveOrUpdate(code);
        return code.getCodeNum();
    }
}
