package org.springblade.visual.utils;

import org.springblade.report.entity.ReportDatasource;

public class DateCompleteSqlUtils {

    public static String getNormalSqlByDatasource(ReportDatasource reportDatasource) {
        String sql = "SELECT distinct concat(a00.YYYYMMDD,case when a00.hour < 10 then concat('0',a00.hour) else concat('',hour) end) AS ${0}, ${1}\n" +
                "FROM ${2} a00\n" +
                "         LEFT JOIN (${3}) b00 \n" +
                "                   ON concat(a00.yyyyMMdd,case when a00.hour < 10 then concat('0',a00.hour) else concat('',a00.hour) end) = b00.${0} \n" +
                "WHERE concat(a00.YYYYMMDD,case when a00.hour < 10 then concat('0',a00.hour) else concat('',hour) end) between ${4} and ${5} \n" +
                "ORDER BY concat(a00.YYYYMMDD,case when a00.hour < 10 then concat('0',a00.hour) else concat('',hour) end),${1}";
        return sql;
    }

    public static String getHourSqlByDatasource(ReportDatasource reportDatasource) {
        // 默认为mysql
        String sql = "SELECT distinct concat(a00.YYYYMMDD,case when a00.hour < 10 then concat('0',a00.hour) else concat('',a00.hour) end) AS ${0},${1}\n" +
                "FROM ${2} a00\n" +
                "         LEFT JOIN (${3}) b00\n" +
                "                   ON a00.HOUR = SUBSTRING_INDEX(SUBSTRING_INDEX(${0}, ':', 1),' ',-1)\n" +
                "WHERE a00.HOUR BETWEEN 0 AND 23\n" +
                "ORDER BY a00.YYYYMMDD,a00.HOUR";
        if (reportDatasource.getDsType() == 1) { //oracle
            // SELECT concat(concat(concat(a00.YYYYMMDD, ' '), a00.HOUR), ':00:00') AS ${0}, ${1}
            sql = "SELECT distinct a00.YYYYMMDD AS ${0},a00.HOUR AS HOUR, ${1}\n" +
                    "FROM ${2} a00\n" +
                    "         LEFT JOIN (${3}) b00\n" +
                    "                   ON a00.HOUR = substr(substr(${0}, 1, instr(${0}, ':') - 1),\n" +
                    "              instr(substr(${0}, 1, instr(${0}, ':') - 1),' '))\n" +
                    "WHERE a00.HOUR BETWEEN 0 AND 23\n" +
                    "ORDER BY a00.YYYYMMDD,a00.HOUR";
        } else if (reportDatasource.getDsType() == 2) { //sqlserver

        } else if (reportDatasource.getDsType() == 3) { //postgresql

        } else if (reportDatasource.getDsType() == 4) { //clickhouse

        } else if (reportDatasource.getDsType() == 5) { //kingbase
            sql = "SELECT distinct concat(a00.YYYYMMDD,case when a00.hour < 10 then concat('0',a00.hour) else concat('',a00.hour) end) AS ${0},${1}\n" +
                    "FROM ${2} a00\n" +
                    "         LEFT JOIN (${3}) b00\n" +
                    "                   ON a00.HOUR = SPLIT_PART(SPLIT_PART(${0}, ':', 1),' ',2)\n" +
                    "WHERE a00.HOUR BETWEEN 0 AND 23\n" +
                    "ORDER BY a00.YYYYMMDD,concat(a00.YYYYMMDD,case when a00.hour < 10 then concat('0',a00.hour) else concat('',a00.hour) end),a00.HOUR,${1}";
        } else if (reportDatasource.getDsType() == 6) {

        } else if (reportDatasource.getDsType() == 7) {

        } else if (reportDatasource.getDsType() == 8) {

        }

        return sql;
    }

    public static String getSqlByDatasource(ReportDatasource reportDatasource) {
        // 默认为mysql
        String sql = "SELECT distinct a00.${0} AS ${1}, ${2} \n" +
                "FROM tableName a00\n" +
                " LEFT JOIN (${3}) b00 ON a00.${0} = REPLACE(REPLACE(b00.${1}, '-', ''),'/','')\n" +
                "WHERE a00.${0} BETWEEN ${4} AND ${5} \n" +
                "ORDER BY a00.${0}";
        if (reportDatasource.getDsType() == 1) { //oracle
            sql = "SELECT distinct a00.${0} AS ${1}, ${2} \n" +
                    "FROM tableName a00\n" +
                    " LEFT JOIN (${3}) b00 ON a00.${0} = to_number(REPLACE(REPLACE(b00.${1}, '-', ''),'/',''))\n" +
                    "WHERE a00.${0} BETWEEN ${4} AND ${5} \n" +
                    "ORDER BY a00.${0}";
        } else if (reportDatasource.getDsType() == 2) { //sqlserver
            sql = "SELECT distinct a00.${0} AS ${1}, ${2} \n" +
                    "FROM tableName a00\n" +
                    " LEFT JOIN (${3}) b00 ON a00.${0} = REPLACE(REPLACE(b00.${1}, '-', ''),'/','')\n" +
                    "WHERE a00.${0} BETWEEN ${4} AND ${5} \n" +
                    "ORDER BY a00.${0}";
        } else if (reportDatasource.getDsType() == 3) { //postgresql
            sql = "SELECT distinct a00.${0} AS ${1}, ${2} \n" +
                    "FROM tableName a00\n" +
                    " LEFT JOIN (${3}) b00 ON a00.${0} = REPLACE(REPLACE(b00.${1}, '-', ''),'/','')\n" +
                    "WHERE a00.${0} BETWEEN ${4} AND ${5} \n" +
                    "ORDER BY a00.${0}";
        } else if (reportDatasource.getDsType() == 4) { //clickhouse
            sql = "SELECT distinct a00.${0} AS ${1}, ${2} \n" +
                    "FROM tableName a00\n" +
                    " LEFT JOIN (${3}) b00 ON a00.${0} = REPLACE(REPLACE(b00.${1}, '-', ''),'/','')\n" +
                    "WHERE a00.${0} BETWEEN ${4} AND ${5} \n" +
                    "ORDER BY a00.${0}";
        } else if (reportDatasource.getDsType() == 5) { //kingbase
            sql = "SELECT distinct a00.${0} AS ${1}, ${2} \n" +
                    "FROM tableName a00\n" +
                    " LEFT JOIN (${3}) b00 ON a00.${0} = REPLACE(REPLACE(b00.${1}, '-', ''),'/','')\n" +
                    "WHERE a00.${0} BETWEEN ${4} AND ${5} \n" +
                    "ORDER BY a00.${0},${2}";
        } else if (reportDatasource.getDsType() == 6) {

        } else if (reportDatasource.getDsType() == 7) {

        } else if (reportDatasource.getDsType() == 8) {

        }

        return sql;
    }
}
