package org.springblade.visual.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.visual.enums.VisualTypeEnum;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "CopyVisualDataCubeData对象", description = "拷贝大屏和组件数据集信息的对象")
public class CopyVisualDataCubeDataVo implements Serializable {

    @ApiModelProperty(value = "原大屏id", required = true)
    private Integer visualId;

    @ApiModelProperty(value = "新分类id")
    private Integer newCategoryId;

    @ApiModelProperty(value = "大屏类型(默认不传递：GENERAL)")
    private VisualTypeEnum visualType;

    @ApiModelProperty(value = "新数据集id集合", required = true)
    private List<CopyCubeDataVo> cubeDataList;

    @ApiModelProperty("新大屏名称")
    private String visualName;

    @ApiModelProperty("租户id")
    private String tenantId;
}
