package org.springblade.bi.client;

import org.springblade.bi.client.factory.CubeWorkspaceClientFallbackFactory;
import org.springblade.bi.client.model.CubeWorkspaceModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(contextId = "cubeWorkspaceClient",
        value = OpenFeignConstants.BI_SERVICE,
        fallbackFactory = CubeWorkspaceClientFallbackFactory.class)
public interface CubeWorkspaceClient {

    @PostMapping(OpenFeignConstants.BI_SERVICE + "/cube/workspace/saveOrUpdate")
    public String saveOrUpdate(@PathVariable CubeWorkspaceModel model);
}
