package org.springblade.bi.client;

import org.springblade.bi.client.form.DmlSaveBatchForm;
import org.springblade.bi.client.form.DmlSaveForm;
import org.springblade.bi.client.form.DmlUptDelForm;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

@FeignClient(contextId = "dmlDsClient",
        value = OpenFeignConstants.BI_SERVICE)
public interface DmlDataSourceClient {

    /**
     * 单条插入，并返回自增主键ID（如果传递idColumn字段）
     * @param dmlSaveForm
     * @return
     */
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/dmlDsClient/save")
    public Map<String, Object> save(@RequestBody DmlSaveForm dmlSaveForm);

    /**
     * 批量插入，并返回自增主键ID（如果传递idColumn字段）
     * @param dmlSaveBatchForm
     * @return
     */
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/dmlDsClient/saveBatch")
    public List<Map<String, Object>> saveBatch(@RequestBody DmlSaveBatchForm dmlSaveBatchForm);

    /**
     * 修改或删除
     * @param dmlUptDelForm
     * @return
     */
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/dmlDsClient/updateOrDelete")
    public void updateOrDelete(@RequestBody DmlUptDelForm dmlUptDelForm);

}
