package org.springblade.bi.client;

import org.springblade.bi.client.factory.VisualClassifyClientFallbackFactory;
import org.springblade.bi.client.model.VisualClassifyModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(contextId = "visualClassifyClient",
        value = OpenFeignConstants.BI_SERVICE,
        fallbackFactory = VisualClassifyClientFallbackFactory.class)
public interface VisualClassifyClient {

    @PostMapping(OpenFeignConstants.BI_SERVICE + "visual/classify/submit")
    public String submit(@PathVariable VisualClassifyModel model);
}
