/**
 * 
 */
package org.springblade.bi.client.factory;

import java.util.List;

import org.springblade.bi.client.DynamicDataSourceClient;
import org.springblade.bi.client.form.BaseDsForm;
import org.springblade.bi.client.form.PageDsForm;
import org.springblade.bi.client.model.PageModel;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson2.JSONObject;

import lombok.extern.slf4j.Slf4j;

/**
 * @author wookvn
 *
 */
@Slf4j
@Component
public class DynamicDataSourceClientFallbackFactory implements FallbackFactory<DynamicDataSourceClient> {

	@Override
	public DynamicDataSourceClient create(Throwable cause) {
		log.error("DynamicDataSourceClient invoke fallback:{}", cause.getMessage());
		return new DynamicDataSourceClient() {

			@Override
			public List<JSONObject> list(BaseDsForm dsForm) {
				return null;
			}

			@Override
			public PageModel<JSONObject> page(PageDsForm dsForm) {
				return null;
			}

			@Override
			public JSONObject getOne(BaseDsForm dsForm) {
				return null;
			}

			@Override
			public void execute(BaseDsForm dsForm) {
				
			}

			@Override
			public JSONObject executeNew(BaseDsForm dsForm) {
				return null;
			}

			@Override
			public Long insertReturnAutoIncrementIdValue(BaseDsForm dsForm) {
				return null;
			}

			@Override
			public void preparedExecute(BaseDsForm dsForm) {
				
			}

		};
	}

}
