package org.springblade.bi.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.bi.client.VisualClassifyClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class VisualClassifyClientFallbackFactory implements FallbackFactory<VisualClassifyClient> {
    @Override
    public VisualClassifyClient create(Throwable cause) {
        log.error("VisualClassifyClient invoke fallback:{}", cause.getMessage());
        return model -> null;
    }
}
