package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class DmlUptDelForm implements Serializable {

    /**
     * 数据源PoolName
     */
    private String poolName;

    /**
     * sql语句，
     * 形如：update tbl set col1 = :field1 where col1 in (:field2) and col2 = :field3
     *      delete from tbl where col1 in (:field1) or col1 = :field2
     */
    private String sql;

    /**
     * 参数值，key对应到sql的 {} 的值
     */
    private Map<String, Object> paramObj;
}
