/**
 * 
 */
package org.springblade.bi.client.model;

import java.io.Serializable;
import java.util.Map;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wookvn
 *
 */
@Data
@NoArgsConstructor
public class CubeBrowserSqlModel implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * 返回的SQL语句
	 */
	private String sql;
	
	/**
	 * columnId与别名的对照关系
	 */
	private Map<Integer, String> columnDict;
	
	/**
	 * columnId与别名的对照关系 [columnId包括一些扩展的虚拟ID，跟上面的字段两者只存在一个]
	 */
	private Map<String, String> extColumnDict;

	/**
	 * @param sql
	 * @param columnDict
	 */
	public CubeBrowserSqlModel(String sql, Map<Integer, String> columnDict) {
		super();
		this.sql = sql;
		this.columnDict = columnDict;
	}
}
